Bug 1391250 - Backport: "ceph osd df does not show summarized info correctly if one or more OSDs are out" : http://tracker.ceph.com/issues/16706
Summary: Backport: "ceph osd df does not show summarized info correctly if one or more...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS
Version: 1.3.3
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: 2.2
Assignee: Samuel Just
QA Contact: shylesh
Bara Ancincova
URL:
Whiteboard:
Depends On: 1391247
Blocks: 1412948
TreeView+ depends on / blocked
 
Reported: 2016-11-02 20:53 UTC by Vikhyat Umrao
Modified: 2017-07-30 15:13 UTC (History)
7 users (show)

Fixed In Version: RHEL: ceph-10.2.5-7.el7cp Ubuntu: ceph_10.2.5-3redhat1xenial
Doc Type: Bug Fix
Doc Text:
.The "ceph df" output no longer includes OSD nodes marked as "out" The `ceph df` command shows cluster free space. Previously, the OSD node that were marked as `out` were incorrectly included in the output of `ceph df`. Consequently, if the Ceph cluster included an OSD node that was marked as `out`, the output of `ceph df` was incorrect. This bug has been fixed, and `ceph df` now correctly reports cluster free space.
Clone Of: 1391247
Environment:
Last Closed: 2017-03-14 15:46:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0514 normal SHIPPED_LIVE Red Hat Ceph Storage 2.2 bug fix and enhancement update 2017-03-21 07:24:26 UTC
Ceph Project Bug Tracker 16706 None None None 2016-11-02 20:53:45 UTC
Red Hat Knowledge Base (Solution) 2743881 None None None 2016-11-02 21:42:13 UTC

Comment 1 Vikhyat Umrao 2016-11-02 20:55:37 UTC
jewel Backport tracker: http://tracker.ceph.com/issues/16866
jewel Backport PR: https://github.com/ceph/ceph/pull/10759

Comment 2 Ken Dreyer (Red Hat) 2017-01-17 03:14:30 UTC
Fixed upstream in v10.2.4

Comment 8 errata-xmlrpc 2017-03-14 15:46:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0514.html


Note You need to log in before you can comment on or make changes to this bug.